"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function useLineIndex(currentMillisecond) {
    var _a, _b, _c;
    var index = 0;
    var linesDom = document.querySelectorAll('.sabahna-lrc');
    for (var length_1 = linesDom.length; index <= length_1; index += 1) {
        var line = linesDom[index];
        var time = line === null || line === void 0 ? void 0 : line.getAttribute('data-duration');
        if (!line || parseInt(time) > currentMillisecond) {
            break;
        }
    }
    for (var i = 0; i < linesDom.length; i++) {
        var element = linesDom[i];
        if (i === index - 1) {
            (_a = element.parentElement) === null || _a === void 0 ? void 0 : _a.classList.add('act');
            element.classList.add('active');
            element.scrollIntoView({
                behavior: 'smooth',
                block: 'center',
            });
        }
        if (i < index - 1) {
            element.classList.add('finish');
            (_b = element.parentElement) === null || _b === void 0 ? void 0 : _b.classList.remove('act');
        }
        if (i > index - 1) {
            element.classList.remove('finish');
            (_c = element.parentElement) === null || _c === void 0 ? void 0 : _c.classList.remove('act');
            element.classList.remove('active');
        }
    }
}
exports.default = useLineIndex;
//# sourceMappingURL=useLineIndex.js.map